# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "symjit-bridge"
version = "2.16.2"
authors = ["Shahriar Iravanian <siravan@svtsim.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "a bridge bwtween Symjit compiler and Symbolica CAS"
readme = "README.md"
keywords = [
    "compiler",
    "JIT",
    "computer-algebra",
]
categories = [
    "compilers",
    "hardware-support",
    "mathematics",
]
license = "MIT"
repository = "https://github.com/siravan/symjit-bridge"

[lib]
name = "symjit_bridge"
crate-type = ["rlib"]
path = "src/lib.rs"

[[bin]]
name = "huge"
path = "src/huge.rs"

[[bin]]
name = "string_complex"
path = "src/test_complex.rs"

[[bin]]
name = "string_real"
path = "src/test_real.rs"

[[bin]]
name = "test"
path = "src/bin.rs"

[dependencies.anyhow]
version = "1"

[dependencies.bincode]
version = "2.0.1"

[dependencies.num-complex]
version = "0.4"

[dependencies.numerica]
version = "1.3"

[dependencies.pyo3]
version = "0.28.0"

[dependencies.rand]
version = "0.10"

[dependencies.symbolica]
version = "=1.4"
features = ["bincode"]

[dependencies.symjit]
version = "2.16.2"

[dependencies.wide]
version = "1.1"
